Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1198138 - [RFE] Add the capability to attach an ISO image for cloud-init configuration
Summary: [RFE] Add the capability to attach an ISO image for cloud-init configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Simone Tiraboschi
QA Contact: Artyom
URL:
Whiteboard:
Depends On: 1198725
Blocks: 1163107 1217106 1234915
TreeView+ depends on / blocked
 
Reported: 2015-03-03 13:07 UTC by Simone Tiraboschi
Modified: 2016-03-09 19:08 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this release, users can attach a cloud-init ISO image to automatically configure the RHEVM Appliance from hosted-engine setup.
Clone Of:
Environment:
Last Closed: 2016-03-09 19:08:26 UTC
oVirt Team: Integration
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0375 0 normal SHIPPED_LIVE ovirt-hosted-engine-setup bug fix and enhancement update 2016-03-09 23:48:34 UTC
oVirt gerrit 38350 0 master MERGED packaging: setup: setting an ISO image for cloud-init configuration 2020-10-26 10:13:15 UTC
oVirt gerrit 38811 0 master MERGED packaging: setup: generate cloud-init ISO image 2020-10-26 10:13:01 UTC

Internal Links: 1163107

Description Simone Tiraboschi 2015-03-03 13:07:47 UTC
cloud-init is a common and comfortable way to configure a virtual machine in an automated way.

With cloud-init no-cloud datasource it's possible to provide user-data and meta-data to the instance without any particular network setup or service: 
meta-data and user-data should be exposed to the VM via files on a vfat or iso9660 filesystem.

So the idea is to let the user attach an optional iso image for cloud-init to the the VM he is going to start. 
It could be really useful to automatically configure an appliance.

So, if the user select to boot the engine VM from a disk image, the setup will ask to the user if he also want to provide an optional ISO image for clud-init.
If so the setup will boot the VM from disk attaching the ISO image; this step is only necessary on the first boot on the first host. No action is required on further boots or on additional hosts.

Comment 4 errata-xmlrpc 2016-03-09 19:08:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0375.html


Note You need to log in before you can comment on or make changes to this bug.